Subject: RE: 3GPP Arch. Why use a local proxy? (was Re: [Sip] Path scenari o outside of 3GPP requirements)

From: Andrew Allen <[email-masked]>
Date: Wed, 27 Feb 2002 04:08:08 -0500

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: Tuesday, February 26, 2002 5:51 PM
> To: Christian Huitema; [email-masked]
> Subject: Re: 3GPP Arch. Why use a local proxy? (was Re: [Sip] Path
> scenario outside of 3GPP requirements)
> 
> 
> On Tuesday 26 February 2002 11:00 am, Christian Huitema wrote:
> > > Well, using TLS to the coporate server wouldn't work, because I
> > > need
> >
> > to
> >
> > > coordinate with the SIP ALG in the proxy-firewall.
> >
> > The basic answer is, get a different proxy-firewall. There are two
> > fundamental problems with the "SIP ALG" approach: it breaks 
> security,
> > and it breaks evolution. The security requirement is pretty simple:
> > if you cannot rely on end-to-end signature of the message body, you
> > don't know to whom you are sending the media; if you cannot rely on
> > end to end encryption of the body, you don't know who is snooping
> > your calls. The evolution requirement is also pretty 
> simple: ALG only
> > translate what they understand, and they tend to hard wire 
> that; if I
> > come out with smellovision (as an example ;-) and the ALG does not
> > understand it, poof, the smell is gone. The proper 
> architecture is to
> > use some form of network level signaling to securely open holes in
> > the firewall.
> 
> Well, that requires some sort of signaling coming from the 
> phone to the 
> firewall, which is another whole basket of worms.   It also requires 
> some AAA stuff that nobody has figured out how to manager. 
> 
> Also, corporate firewall admins have the same usage senitivity as do 
> mobile operators. For example, coporate firewall administators ALSO 
> require that they have application-level awareness of the firewall 
> traversl. They aren't going to let me open a pinhole I claim is for 
> a phone call and use it to watch streamoporn. At least, not if they 
> have a choice.
> 
> > > They (3GPP) have a requirement to provide, at operator discretion,
> >
> > very
> >
> > > strict control of network usage. It's almost as if the entire
> >
> > semantics of
> >
> > > ATM SVCs have been transplanted onto IP, with UNI replaced by
> > > application-level control.  The operators want to do
> >
> > service-senstitive
> >
> > > AAA
> > > for the traffic. It's not the Internet.
> >
> > Well, you say it: what these operators want to build "is not the
> > Internet." On the other hand, this is the IETF, and the "I" stands
> > precisely for "Internet". As such, we have no requirement to placate
> > groups that want to develop a "not-Internet." They can develop a
> > specification that fits their need, say a "3G voice over IP wireless
> > signaling protocol"; the one thing they should not do is, try to
> > pretend this is an Internet standard.
> 
> Well, the important thing is that it interwork cleanly with the 
> Internet. I want a plan in one of those walled gardens to be able to 
> (should the gardner allow them) interact with the rest of the world. 
> They seem to agree, and are trying very hard to figure out how to do 
> this.

Agree with Dean. I at least want to see convergence of telecommunications
and the internet. It's not the case of one supplanting the other but a
merging of the two. The 3GPP operators are not one big monoloithic group.
The GSM Association consists of over 400 operators in 171 countries and with
3G this group is going to become even larger. Some of these operators have a
very conservative outlook and others have a much more open forward looking
view. The 3GPP architecture enables all these different business models to
be supported. There is a saying that "rattlesnakes don't commit suicide",
does anyone really expect that the existing mobile operators are just going
to give away their existing customer base to competitors and relinguish
being a player in the services business becoming simply sellers of bits?
Especially when in many countries they have paid IN ADVANCE as much as $8
BILLION for a single operating license. That's about as likely as Microsoft
opening up all the internals of windows to everyone. Competition will sort
out which business models will win for 3G.

> 
> As we all know, 99% of the usage of Internet protocols is not really 
> "in the Internet" nor is it completely consistent with "Internet 
> Standards". Just look at all the networks out there running Microsoft 
> products -- it's mostly an "enterprise internetworking" kind 
> of world, 
> laden with things like universal-plug-and-pray and 
> not-quite-Kerberos. 
> But it's still a constituency for the use of the protocols we produce.

There are about 900 MILLION mobile phones in the world growing towards 1
BILLION. That's more than all the PCs out there. If most of those phones in
the future are using SIP what a huge base for enabling a revolution in new
services.

The 3GPP architecture with the Home network services model (which the Path
header is an enabler for) is an enabler for the Virtual Mobile Network
Operator (VMNO). These VMNOs already exist in many countries already for
instance Virgin Mobile in the UK. These VMNOs do not have a wireless access
infrastructure but have a customer base and through a business agreement
with another operator that has a wireless infrastructure are able to offer
mobile services to it's customers. I look forward to the day when I will
have a choice for the supplier of my mobile services from amongst the
Microsofts, AOLs, Yahoos of the world as well as from the Vodafones and
AT&T's.

Andrew
> 
> --
> Dean
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Wed, 27 Feb 2002 11:58:01 +0200

> the future are using SIP what a huge base for enabling a revolution in new

the 3gpp architecture is not enabling that revolution, but is trying to
prevent it by forcing the subscribers to use the services of its home
3g operator. the subscriber should have true freedom to choose services
from anywhere on the internet instead.

as a started, what freedom is it that i need to register before i can
start making calls?  the sip spec doesn't force you to do that, but 3gpp
does.

i think enough bandwidth has already been wasted for this.  it should
already be clear to everyone, that ietf should not have anything to do
with 3gpp's usage of a signaling protocol that they falsely try to claim
to be sip.

-- juha